Create Mobile Device Extension Attribute.Ask AIpost https://yourServer.jamfcloud.com/api/v1/mobile-device-extension-attributesCreate Mobile Device Extension Attribute to collect extra inventory information.Body ParamsMobile Device Extension Attribute to be created.namestringrequiredDisplay name for the extension attribute.descriptionstringDescription for the extension attribute.dataTypestringenumrequiredDefaults to STRINGType of data being collected.INTEGERSTRINGDATEAllowed:INTEGERSTRINGDATEinventoryDisplayTypestringenumrequiredDefaults to GENERALCategory in which to display the extension attribute in Jamf Pro.GENERALHARDWAREUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESAllowed:GENERALHARDWAREUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESinputTypestringenumrequiredDefaults to TEXTExtension attributes collect inventory data by using an input type.The type of the Input used to populate the extension attribute.TEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGAllowed:TEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGpopupMenuChoicesarray of stringslength ≥ 0When added with list of choices while creating mobile device extension attributes these Pop-up menu can be displayed in inventory information. User can choose a value from the pop-up menu list when enrolling a mobile device any time using Jamf Pro. Provide popupMenuChoices only when inputType is 'POPUP'.popupMenuChoicesADD stringldapAttributeMappingstringDirectory Service attribute use to populate the extension attribute. Required when inputType is "DIRECTORY_SERVICE_ATTRIBUTE_MAPPING"ldapExtensionAttributeAllowedbooleanDefaults to falseCollect multiple values for this extension attribute. ldapExtensionAttributeAllowed is disabled by default, only for inputType 'DIRECTORY_SERVICE_ATTRIBUTE_MAPPING' it can be enabled. It's value cannot be modified during edit operation. Possible values are: false true truefalseResponses 201Mobile Device Extension Attribute was successfully created. 400Bad Request. The server could not understand the request because of invalid syntax. Possible reasons are: 1) Required fields are not provided in request body. 2) Fields which are not associated with provided inputType has some value. 3) Any values outside of the allowed range are included in the request body. 4) LDAP is not configured. 5) Error occurred during database create operation. 6) Duplicate name is provided.Updated 2 months ago